Skip to main content
`Ctrl`+`K`

# pandas.IntervalIndex.from_tuples

classmethod IntervalIndex.from_tuples(data, closed='right', name=None, copy=False, dtype=None)

  Construct an IntervalIndex from an array-like of tuples.

  Parameters:
    data array-like (1-dimensional)

      Array of tuples.

    closed{‘left’, ‘right’, ‘both’, ‘neither’}, default ‘right’

      Whether the intervals are closed on the left-side, right-side, both or neither.

    name str, optional

      Name of the resulting IntervalIndex.

    copy bool, default False

      By-default copy the data, this is compat only and ignored.

    dtype dtype or None, default None

      If None, dtype will be inferred.

  Returns:
    IntervalIndex

  See also

  `interval_range`

    Function to create a fixed frequency IntervalIndex.

  `IntervalIndex.from_arrays`

    Construct an IntervalIndex from a left and right array.

  `IntervalIndex.from_breaks`

    Construct an IntervalIndex from an array of splits.

  Examples

      >>> pd.IntervalIndex.from_tuples([(0, 1), (1, 2)])
      IntervalIndex([(0, 1], (1, 2]],
                     dtype='interval[int64, right]')